"""
Silique (https://www.silique.fr)
Copyright (C) 2024-2025

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from json import dumps
from typing import Any
from ..utils import to_phrase


class Formater:
    """Just return internal structure to json"""

    name = "json"
    level = 90

    def run(self, dico: dict, *args) -> str:  # pylint: disable=unused-argument
        """Transform to string"""
        return dumps(dico, ensure_ascii=False, indent=2)

    def italic(self, msg: Any) -> str:
        """Just return a string"""
        return str(msg)

    def bold(self, msg: Any) -> str:
        """Just return a string"""
        return str(msg)

    def to_phrase(self, text: str) -> str:
        return to_phrase(text)
